Subject: RE: reappearing messages

From: "Rubinstein, Dmitry" <[email-masked]>
Date: Tue, 15 Jun 1999 12:14:57 +0300

> From: Steve Barber [mailto:[email-masked]]
> > In imap-4.5, the first session keeps a lock on the mailbox, 
> and the second
> > session goes read-only.  This is caused by a bug -- it is 
> not a designed
> > change.
> 
> The implication here is that there are multiple sessions to the single
> mailbox.  However, this has been known to happen when we KNOW no other
> systems are accessing the mailbox.  So unless Messenger is 
> opening multiple
> sessions (as Dimitri(?) suggested in another response), I 
> don't believe
> this to be happening.

Messenger has been sighted opening a connection while a previous one was
still active. As for the exact circumstances, that cause this situation,
someone with @netscape.com in his e-mail will probably be able to answer.

> Question: this is a production server.  Is there any way to get useful
> logging information out of the imap daemon without breaking things for
> the user population?  I.e. something along the lines of 
> sending it a signal
> to increase/decrease logging level?

There is no such thing. You can try and hack it, however, in order to get
your hands on the session log. It required modification of a number of
macros, that are used for i/o. I did it, and I find the result quite useful.

--
Dmitry Rubinstein

---

From: Jeff Clowser <[email-masked]>
Date: Mon, 21 Jun 1999 15:52:00 -0400

> someone with @netscape.com in his e-mail will probably be able to answer.

This is from memory - happened a long, long time ago, in a data center far, far
away -
but I think most of the following is pretty accurate based on what I ran into:

Ran into this with POP and Navigator 3.x.  I'm pretty sure Communicator 4.x has

the same issue, and the issue happens with both pop and imap.  Basically, it
opened
a connection to download messages, etc.  It opened a separate connection to
check for
new mail.  If both connections open at the same time or overlap, bad things can
happen
(i.e the other connection, depending on the server, can break a connection,
make it read
only, etc.)

If I remember correctly way back when, one version of POP from the Washington
IMAP package would deny any new connections until the first closed.  This
caused
problems if the frist connect didn't close because the client crashed or such,
causing the
mailbox to be locked for 15 minutes or so.  The next version of IMAP from
washington
changed behavior to kick off the old connection in favor of the new. Kept
mailboxes from
being locked, but every time Navigator (Communicator wasn't around then)
checked for
new mail, it would kill any mail downloads in progress - particularly bad if
you had lots of
mail and a slow connection, such as dialup.

The "solution" was to either turn off checking for new mail, or make it happen
less
often so the chances of a collision between the 2 connections was less likely.

--
 Jeff Clowser
 mailto:[email-masked]       Hanover MD  21076 USA
 Phone: (410)-579-4328             7312 Parkway Drive